INodeAttributes.SnapshotCopy (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, interface: INodeAttributes, class: SnapshotCopy

Package org.apache.hadoop.hdfs.server.namenode

# Class INodeAttributes.SnapshotCopy

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy

All Implemented Interfaces:
  `INodeAttributes`

Direct Known Subclasses:
  `INodeDirectoryAttributes.SnapshotCopy`, `INodeFileAttributes.SnapshotCopy`

Enclosing interface:
  INodeAttributes

public abstract static class INodeAttributes.SnapshotCopy extends Object implements INodeAttributes
A read-only copy of the inode attributes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

  `INodeAttributes.SnapshotCopy`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final long`
  `getAccessTime()`
  `AclFeature`
  `getAclFeature()`
  `final org.apache.hadoop.fs.permission.FsPermission`
  `getFsPermission()`
  `final short`
  `getFsPermissionShort()`
  `final String`
  `getGroupName()`
  `final byte[]`
  `getLocalNameBytes()`
  `final long`
  `getModificationTime()`
  `long`
  `getPermissionLong()`
  `final String`
  `getUserName()`
  `final XAttrFeature`
  `getXAttrFeature()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

  `isDirectory`

- ## Method Details

  - ### getLocalNameBytes

    public final byte[] getLocalNameBytes()
    Specified by:
      `getLocalNameBytes` in interface `INodeAttributes`
    Returns:
      null if the local name is null; otherwise, return the local name byte array.

  - ### getUserName

    public final String getUserName()
    Specified by:
      `getUserName` in interface `INodeAttributes`
    Returns:
      the user name.

  - ### getGroupName

    public final String getGroupName()
    Specified by:
      `getGroupName` in interface `INodeAttributes`
    Returns:
      the group name.

  - ### getFsPermission

    public final org.apache.hadoop.fs.permission.FsPermission getFsPermission()
    Specified by:
      `getFsPermission` in interface `INodeAttributes`
    Returns:
      the permission.

  - ### getFsPermissionShort

    public final short getFsPermissionShort()
    Specified by:
      `getFsPermissionShort` in interface `INodeAttributes`
    Returns:
      the permission as a short.

  - ### getPermissionLong

    public long getPermissionLong()
    Specified by:
      `getPermissionLong` in interface `INodeAttributes`
    Returns:
      the permission information as a long.

  - ### getAclFeature

    public AclFeature getAclFeature()
    Specified by:
      `getAclFeature` in interface `INodeAttributes`
    Returns:
      the ACL feature.

  - ### getModificationTime

    public final long getModificationTime()
    Specified by:
      `getModificationTime` in interface `INodeAttributes`
    Returns:
      the modification time.

  - ### getAccessTime

    public final long getAccessTime()
    Specified by:
      `getAccessTime` in interface `INodeAttributes`
    Returns:
      the access time.

  - ### getXAttrFeature

    public final XAttrFeature getXAttrFeature()
    Specified by:
      `getXAttrFeature` in interface `INodeAttributes`
    Returns:
      the XAttrs feature.